/* XDR definition file for RPC */

struct xt_rtpproxy_sockopt_params {
	unsigned int command;
	opaque data<>;
	unsigned int result_size;
};

union xt_rtpproxy_sockopt_result switch (int err_no) {
	case 0: 
		opaque data<>;
	default:
		string err_str<1024>;
};

program IPTRTPPROXY_RPC {
	version IPTRTPPROXY_RPC_VER {
		struct xt_rtpproxy_sockopt_result GETSOCKOPT(struct xt_rtpproxy_sockopt_params) = 1;
		struct xt_rtpproxy_sockopt_result SETSOCKOPT(struct xt_rtpproxy_sockopt_params) = 2;
	} = 1;
} = 0x20000000;
